cURL
curl --request GET \
--url https://api.maesn.dev/accounting/dimensions/{dimension}import requests
url = "https://api.maesn.dev/accounting/dimensions/{dimension}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.maesn.dev/accounting/dimensions/{dimension}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.maesn.dev/accounting/dimensions/{dimension}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maesn.dev/accounting/dimensions/{dimension}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maesn.dev/accounting/dimensions/{dimension}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.maesn.dev/accounting/dimensions/{dimension}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
},
"partialErrors": [
{
"code": "FILE_UPLOAD_FAILED",
"message": "Attachment invoice.pdf could not be uploaded to the target system."
}
]
},
"data": [
{
"id": "08c99551-49ae-4418-9e76-c618d9b21c81",
"code": "CS1",
"createdDate": "2025-06-01T11:09:11.533Z",
"description": "Cost center 1",
"dimension": "CostCenter",
"name": "Jerde, Greenfelder and Jacobi",
"status": "ACTIVE",
"updatedDate": "2025-06-01T11:09:11.533Z"
}
]
}Dimensions
Get dimensions by dimension
GET
/
accounting
/
dimensions
/
{dimension}
cURL
curl --request GET \
--url https://api.maesn.dev/accounting/dimensions/{dimension}import requests
url = "https://api.maesn.dev/accounting/dimensions/{dimension}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.maesn.dev/accounting/dimensions/{dimension}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.maesn.dev/accounting/dimensions/{dimension}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maesn.dev/accounting/dimensions/{dimension}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maesn.dev/accounting/dimensions/{dimension}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.maesn.dev/accounting/dimensions/{dimension}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
},
"partialErrors": [
{
"code": "FILE_UPLOAD_FAILED",
"message": "Attachment invoice.pdf could not be uploaded to the target system."
}
]
},
"data": [
{
"id": "08c99551-49ae-4418-9e76-c618d9b21c81",
"code": "CS1",
"createdDate": "2025-06-01T11:09:11.533Z",
"description": "Cost center 1",
"dimension": "CostCenter",
"name": "Jerde, Greenfelder and Jacobi",
"status": "ACTIVE",
"updatedDate": "2025-06-01T11:09:11.533Z"
}
]
}Field support per integration

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.Supported response fields:
For date format details visit the Standardized Data section

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.If you’re retrieving projects from Exact Online, your account must have one of the following package subscriptions enabled:
- Manufacturing (any tier)
- Professional Services (Plus, Professional, or Premium)
- Wholesale & Distribution (any tier)
Supported response fields:
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section

Procountor
Procountor

Twinfield
Twinfield
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.Supported response fields:
For date format details visit the Standardized Data section
Last modified on November 5, 2026
Was this page helpful?